close all
clear all
load VelO_GSK30.dat
load MLAT_GSK30.dat
load ALT_GSK30.dat
load sg_GSK30.dat

nstep=73;
num=120;

sg=sg_GSK30;      % in Re
MLAT=MLAT_GSK30;
ALT=ALT_GSK30;
Vel_GSK=VelO_GSK30;
vel=reshape(Vel_GSK,nstep,num);
UT=[0:1:72];
UT=UT';

surface(sg,UT,vel)
caxis([-1500,1500])
xlabel('s (Re)','fontsize',20)
ylabel('UT (hour)','fontsize',20)
set(gca,'fontsize',18,'LineWidth',2)
set(gca,'TickDir','out')
%set(gca,'XMinorTick','on','YMinorTick','on','TickLength',[0.015,0.025])
set(gca,'XMinorTick','on','YMinorTick','on')
set(gca,'Xlim',[-3,3],'Ylim',[0,72],'XTick',[-3:1:3])
colorbar('LineWidth',3,'Fontsize',16)
box on
title('VO^+ (m/s)','Fontsize',18)