clear all
load Eqepos30.dat
load Eqepos28.dat
load Eqepos26.dat
load Eqepos24.dat
load Eqepos32.dat
load Eqepos34.dat
load Eqepos36.dat
load Eqepos38.dat
load Eqepos40.dat
load Eqepos42.dat
load Eqepos44.dat

load Eqepos_MS.dat

DMS=Eqepos_MS;

ang=0.0:0.01:2*pi;


x=cos(ang);
y=sin(ang);
plot(x,y,'-k','LineWidth',2)   % Earth
hold on

for m=1:5;
rr=2*m;
x=rr*cos(ang);
y=rr*sin(ang);
plot(x,y,'--b','LineWidth',2)
hold on
end

plot(Eqepos24(:,5),Eqepos24(:,6),'r','LineWidth',1.5)
hold on
plot(Eqepos26(:,5),Eqepos26(:,6),'r','LineWidth',1.5)
ylabel('YGSM (R_E)','fontsize',18)
xlabel('XGSM (R_E)','fontsize',18)

set(gca,'FontSize',18,'LineWidth',2,'TickLength',[0.015,0.025])
set(gca,'Xlim',[-10,10],'Ylim',[-10,10])
axis square
title('K_P=5.0','FontSize',18)
%new_fig_handle = shift_axis_to_origin( gca ) ;
hold on

plot(DMS(:,5),DMS(:,6),'k','LineWidth',3)
hold on

plot(Eqepos28(:,5),Eqepos28(:,6),'r','LineWidth',1.5)
hold on

plot(Eqepos30(:,5),Eqepos30(:,6),'r','LineWidth',1.5)
hold on

plot(Eqepos32(:,5),Eqepos32(:,6),'r','LineWidth',1.5)
hold on
plot(Eqepos34(:,5),Eqepos34(:,6),'r','LineWidth',1.5)
hold on
plot(Eqepos36(:,5),Eqepos36(:,6),'r','LineWidth',1.5)
hold on
plot(Eqepos38(:,5),Eqepos38(:,6),'r','LineWidth',1.5)
hold on
plot(Eqepos40(:,5),Eqepos40(:,6),'r','LineWidth',1.5)
hold on
plot(Eqepos42(:,5),Eqepos42(:,6),'r','LineWidth',1.5)
hold on
plot(Eqepos44(:,5),Eqepos44(:,6),'r','LineWidth',1.5)
hold on
