clear all
close all
load sw_index.dat
D=sw_index;
t=D(:,1)/900.0; % time step dt=4s
Kp=D(:,2);
Bz=D(:,3);
SYMH=D(:,4);
Pdyn=D(:,5);

%title('Feb 21,2001')
subplot(4,1,1)
stairs(t,Kp,'LineWidth',5)
ylabel('K_p','fontsize',20)
%set(gca,'FontSize',22,'LineWidth',4,'TickLength',[0.015,0.025]);
set(gca,'XTick',[00 06 12 18 24],'Xlim',[0,24])
set(gca,'FontSize',22,'LineWidth',4);

subplot(4,1,2)
plot(t,SYMH,'LineWidth',5)
ylabel('SYM-H (nT)','fontsize',20)
%set(gca,'FontSize',24,'LineWidth',4,'TickLength',[0.015,0.025]);
set(gca,'XTick',[00 06 12 18 24],'Xlim',[0,24])
set(gca,'FontSize',22,'LineWidth',4);


subplot(4,1,3)
plot(t,Bz,'LineWidth',5)
ylabel('Bz (nT)','fontsize',20)
%set(gca,'FontSize',24,'LineWidth',4,'TickLength',[0.015,0.025]);
set(gca,'XTick',[00 06 12 18 24],'Xlim',[0,24])
set(gca,'FontSize',22,'LineWidth',4);


subplot(4,1,4)
plot(t,Pdyn,'LineWidth',5)
ylabel('P_{sw} (nP)','fontsize',20)
xlabel('UT (hour)','fontsize',20)
%set(gca,'FontSize',24,'LineWidth',4,'TickLength',[0.015,0.025]);
set(gca,'XTick',[00 06 12 18 24],'Xlim',[0,24])
set(gca,'FontSize',22,'LineWidth',4);

